<template>
  <div />
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  name: 'profile-page',
  mounted () {
    if (!this.$auth.loading) this.redirect()
  },
  computed: {
    loading () {
      return this.$auth.loading
    }
  },
  watch: {
    loading () {
      this.redirect()
    }
  },
  methods: {
    redirect () {
      if (!this.$auth.isAuthenticated) {
        this.$auth.loginWithRedirect({
          // eslint-disable-next-line @typescript-eslint/camelcase
          redirect_uri: window.location.href
        })
      } else {
        this.$router.replace({ name: 'profile' })
      }
    }
  }
})
</script>
